Package Details: pithos-git 1.4.0.r7.g7895936-1

Git Clone URL: https://aur.archlinux.org/pithos-git.git (read-only, click to copy)
Package Base: pithos-git
Description: Native Pandora Radio client
Upstream URL: https://pithos.github.io/
Keywords: music
Licenses: GPL3
Conflicts: pithos, pithos-bzr
Provides: pithos
Submitter: Stebalien
Maintainer: TingPing
Last Packager: Stebalien
Votes: 51
Popularity: 0.000365
First Submitted: 2012-04-25 20:40
Last Updated: 2017-11-30 00:20

Latest Comments

« First ‹ Previous ... 2 3 4 5 6 7 8 9 10 Next › Last »

snowball commented on 2012-06-02 12:03

In makedepends, python-distutils-extra should be python2-distutils-extra:

$ makepkg -s
[...]
==> Entering fakeroot environment...
==> Starting package()...
To build pithos you need https://launchpad.net/python-distutils-extra
==> ERROR: A failure occurred in package().
Aborting...

kreed commented on 2012-05-04 23:57

Stebalien: Ah, thanks. Those are indeed a bit redundant.

Stebalien commented on 2012-05-04 22:33

kreed: I updated the description and optdepends. Just so you know, you don't have to provide $pkgname; pithos-git provides $_pkgname so that it provides 'pithos'. Also, you shouldn't need to conflict with pithos-bzr, or pithos-git; IMHO, it's the AUR package's job to conflict with the official package.

Stebalien commented on 2012-05-04 22:33

kreed: I updated the description and optdepends. Just so you know, you don't have to provide $pkgname; pithos-git provides $_pkgname so that it provides 'pithos'. Also, you shouldn't need to conflict with pithos-bzr, or pithos-git; IMHO, it's the AUR package's job to conflict with the official package.

kreed commented on 2012-05-04 22:12

Latest version is now working again. :)

Stebalien: I created a pithos package based on your PKGBUILD that builds from the release versions. I made some changes I thought you might want to know about:
1. Added gstreamer0.10-ugly-plugins to optdepends. This is required for MP3 playback.
2. Made the description more succinct. libpiano hasn't been used by Pithos for quite some time.

Stebalien commented on 2012-04-26 14:46

I didn't know that I could do that. Done.

dgbaley27 commented on 2012-04-26 08:02

Shouldn't you just request this to be merged into -git and deleted?

Stebalien commented on 2012-04-25 20:45

I have changed this package from bzr to git to follow upstream. As of right now, it still doesn't work with pandora but (hopefully) upstream will fix that soon. New package: https://aur.archlinux.org/packages.php?ID=58790

Stebalien commented on 2012-04-25 20:44

Moved from bzr to git to follow upstream. As of right now, this doesn't work due to some pandora API changes.

hwkiller commented on 2012-04-25 20:33

When you start it, it warns that it is out of date from Pandora.